%global momorel  2

Summary: Gnome encryption interface
Name: seahorse
Version: 2.22.3
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/projects/seahorse/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: intltool
BuildPrereq: GConf2
BuildPrereq: openldap-devel >= 2.4.0

BuildPrereq: GConf2-devel >= 2.22.0
BuildPrereq: avahi-devel >= 0.6.22
BuildPrereq: avahi-glib-devel >= 0.6.22
BuildPrereq: dbus-glib-devel >= 0.74
# BuildPrereq: epiphany-devel >= 2.22.1
BuildPrereq: gedit-devel >= 2.22.1
BuildPrereq: glib2-devel >= 2.16.3
BuildPrereq: gnome-keyring-devel >= 2.22.1
BuildPrereq: gnome-panel-devel >= 2.22.1
BuildPrereq: gnome-vfs2-devel >= 2.22.0
BuildPrereq: gtk2-devel >= 2.12.9
BuildPrereq: libglade2-devel >= 2.6.2
BuildPrereq: libgnome-devel >= 2.22.0
BuildPrereq: libgnomeui-devel >= 2.22.1
BuildPrereq: libnotify-devel >= 0.4.4
BuildPrereq: libsoup-devel >= 2.4.1-2m
BuildPrereq: libxml2-devel >= 2.6.31
BuildPrereq: nautilus-devel >= 2.22.2

Requires: GConf2

%description
Seahorse is a graphical interface for managing and using encryption
keys.  Currently it supports PGP keys (using GPG/GPGME) and SSH keys.
Its goal is to provide an easy to use Key Management Tool, along with
an easy to use interface for encryption operations.

%package devel
Summary: seahourse devel
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description devel
seahourse devel

%prep
%setup -q

%build
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --disable-update-mime-database \
    --disable-epiphany
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="seahorse.schemas seahorse-gedit.schemas"
for i in $SCHEMAS
do
    gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/$i > /dev/null
done

# update scrollkeeper
scrollkeeper-update

# update mime database
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

# update icon cache
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor


%postun
/sbin/ldconfig
scrollkeeper-update
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING-DOCS COPYING-LIBCRYPTUI ChangeLog README THANKS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_sysconfdir}/gconf/schemas/%{name}-gedit.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-agent
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-preferences
%{_bindir}/%{name}-tool

%{_libdir}/libcryptui.so.*
%{_libdir}/bonobo/servers/GNOME_SeahorseApplet.server
%{_libdir}/gedit-2/plugins/libseahorse-pgp.so
%{_libdir}/gedit-2/plugins/libseahorse-pgp.la
%{_libdir}/gedit-2/plugins/%{name}-pgp.gedit-plugin
%{_libdir}/nautilus/extensions-2.0/libnautilus-seahorse.so
%{_libdir}/nautilus/extensions-2.0/libnautilus-seahorse.la
#%%{_libdir}/epiphany/2.22/extensions/libseahorseextension.so
#%%{_libdir}/epiphany/2.22/extensions/libseahorseextension.la
#%%{_libdir}/epiphany/2.22/extensions/seahorse.ephy-extension
%{_libdir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.seahorse.service
%{_datadir}/gnome-2.0/ui/GNOME_SeahorseApplet.xml
%{_datadir}/gnome/help/%{name}-applet
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}-agent.1.*
%{_mandir}/man1/%{name}-daemon.1.*
%{_mandir}/man1/%{name}-tool.1.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/omf/%{name}-applet
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/%{name}-applet.svg
%{_datadir}/pixmaps/%{name}-preferences.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}
%{_datadir}/%{name}

%files devel
%defattr(-, root, root)
%{_includedir}/libcryptui
%{_libdir}/libcryptui.a
%{_libdir}/libcryptui.so
%{_libdir}/gedit-2/plugins/libseahorse-pgp.a
%{_libdir}/nautilus/extensions-2.0/libnautilus-seahorse.a
#%%{_libdir}/epiphany/2.22/extensions/libseahorseextension.a
%{_libdir}/pkgconfig/cryptui-0.0.pc

%changelog
* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22.3-2m)
- rebuild against gnutls-2.4.1 (libsoup)

* Tue Jul  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Sun May 18 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-2m)
- good-bye gecko (epiphany)

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Wed Feb 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.20.3-2m)
- rebuild against openldap-2.4.8

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.3-1m)
- update to 2.20.3

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.92-1m)
- update to 0.9.92

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.91-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.91-2m)
- revice %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.91-1m)
- initial build (unstable)
